Bug 145686 - Pending Actions doesn't work anymore...
Pending Actions doesn't work anymore...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Bowman
Red Hat Satellite QA List
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2005-01-20 12:17 EST by Michael Bowman
Modified: 2007-04-18 13:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-25 15:43:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Bowman 2005-01-20 12:17:19 EST
Description of problem:
Archive Actions submit button doesn't do anything... 

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Go to pending actions and try to archive an action
2.
3.
  
Actual results:
Archive the action and display the message box.

Expected results:


Additional info:
Comment 1 Ryan Bloom 2005-01-20 12:24:10 EST
This is the bug that Jesus and I found yesterday.  No buttons on any
pages work until Jesus commits his fix, or if you don't go through Apache.
Comment 2 Jesus M. Rodriguez 2005-01-20 21:46:01 EST
After fixing the URLs, this button still doesn't work.  The POST is
making it but according to the struts logs, it is choosing the
"default" action of the LookupDispatchAction.

To debug, turn on TRACE logging for struts in your log4j.properties:
log4j.logger.org.apache.struts=TRACE.

Comment 3 Michael Bowman 2005-01-21 10:35:55 EST
Problems with this page:
- Message doesn't appear when action is archived.
- Selection bug:
    - Perl code will archive an action if you have selected it on the 
      page, but you haven't added it to the list...
Comment 4 Michael Bowman 2005-01-21 15:12:02 EST
Messages appear now. Still need to correct the selection bug and
should add some unit tests for this class.
Comment 5 Michael Bowman 2005-01-25 15:43:25 EST
Selection bug is fixed.

Note You need to log in before you can comment on or make changes to this bug.